maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Olivier Lamy (JIRA)" <j...@codehaus.org>
Subject [jira] (MDEP-392) dependency:tree is erroneous with Maven 3 (3.0.4 or 3.1-SNAPSHOT)
Date Tue, 04 Dec 2012 22:18:13 GMT

    [ https://jira.codehaus.org/browse/MDEP-392?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=315011#comment-315011
] 

Olivier Lamy commented on MDEP-392:
-----------------------------------

need this repository: http://repository.exoplatform.org/public/
                
> dependency:tree is erroneous with Maven 3 (3.0.4 or 3.1-SNAPSHOT)
> -----------------------------------------------------------------
>
>                 Key: MDEP-392
>                 URL: https://jira.codehaus.org/browse/MDEP-392
>             Project: Maven 2.x Dependency Plugin
>          Issue Type: Bug
>          Components: tree
>    Affects Versions: 2.6
>         Environment: Java 6
>            Reporter: Arnaud Heritier
>            Priority: Critical
>         Attachments: dependency-tree-mvn-2.2.1.txt, dependency-tree-mvn-3.1-SNAPSHOT.txt
>
>
> I have a complex project with many deps, many depsMgt import ...
> https://github.com/exoplatform/platform-tomcat-standalone
> I discovered the issue on rev fb36980
> I was trying to blacklist all servlet/jsp dependencies coming projects dependencies (searching
them with dependency:tree -Dverbose -Dincludes=*:*servlet*:*).
> The plugin reported that there was no such dep in my graph after all my exclusions and
cleanup in low level projects.
> But it was false because the assembly plugin continued to find such deps and copied them
in my distribution.
> Downgrading to Maven 2.2.1 allowed me to find some of these dependencies that I didn't
found with 3.1 (see commit https://github.com/exoplatform/platform-tomcat-standalone/commit/67eb23a8b6e033cecbd1d1726ff75afebdd0fdfd)
> Note : this bug is probably something low level because the enforcer plugin has it too.
It didn't discover/reported the dependency I wanted to blacklist

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://jira.codehaus.org/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message